umbrello 2.34.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Variables
moc_codegenerator.cpp File Reference
`#include <memory>`
`#include "../../../../umbrello/codegenerators/codegenerator.h"`
`#include <QtCore/qbytearray.h>`
`#include <QtCore/qmetatype.h>`

## Classes
struct | qt_meta_stringdata_CodeGenerator_t

## Macros
#define | QT_MOC_LITERAL(idx, ofs, len)

## Variables
static const qt_meta_stringdata_CodeGenerator_t | qt_meta_stringdata_CodeGenerator
static const uint | qt_meta_data_CodeGenerator []

## Macro Definition Documentation

## ◆ QT_MOC_LITERAL

#define QT_MOC_LITERAL | ( |  | idx,
|  |  | ofs,
|  |  | len
| ) |  |

Value:
Q_STATIC_BYTE_ARRAY_DATA_HEADER_INITIALIZER_WITH_OFFSET(len, \
qptrdiff(offsetof(qt_meta_stringdata_CodeGenerator_t, stringdata0) + ofs \
- idx * sizeof(QByteArrayData)) \
)
qt_meta_stringdata_CodeGenerator_t
Definition: moc_codegenerator.cpp:24

## Variable Documentation

## ◆ qt_meta_data_CodeGenerator

const uint qt_meta_data_CodeGenerator[]
| static

## ◆ qt_meta_stringdata_CodeGenerator

const qt_meta_stringdata_CodeGenerator_t qt_meta_stringdata_CodeGenerator
| static

Initial value:
= {
{
QT_MOC_LITERAL(0, 0, 13),
QT_MOC_LITERAL(1, 14, 13),
QT_MOC_LITERAL(2, 28, 0),
QT_MOC_LITERAL(3, 29, 14),
QT_MOC_LITERAL(4, 44, 7),
QT_MOC_LITERAL(5, 52, 9),
QT_MOC_LITERAL(6, 62, 30),
QT_MOC_LITERAL(7, 93, 6),
QT_MOC_LITERAL(8, 100, 17),
QT_MOC_LITERAL(9, 118, 8),
QT_MOC_LITERAL(10, 127, 18)
},
"CodeGenerator\0codeGenerated\0\0"
"UMLClassifier*\0concept\0generated\0"
"CodeGenerator::GenerationState\0result\0"
"showGeneratedFile\0filename\0"
"syncCodeToDocument"
}
QT_MOC_LITERAL
#define QT_MOC_LITERAL(idx, ofs, len)
Definition: moc_codegenerator.cpp:28